Subject: [os2genau_digest] No. 1464
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 26 Mar 2007 00:00:48 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 25 March 2007
 Number  1464
**************************************************

Subjects for today
 
1   dir listing sort code : Ian Manners" <deadmail>
2  Re:  dir listing sort code : Mike O'Connor <mikeoc at internode.on dot net>
3  Re:  dir listing sort code : Mike O'Connor <mikeoc at internode.on dot net>
4  Re:  dir listing sort code : Ian Manners" <deadmail>
5  Re:  dir listing sort code : Mike O'Connor <mikeoc at internode.on dot net>
6  Re:  dir listing sort code : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Sun, 25 Mar 2007 18:39:45 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:   dir listing sort code

Hi All

I've been busy modifying and adding to the os2site dot com code, and cant
figure out how to create a directory listing sorted by date, it's probably
easy once you know how, and googles not much help either.....

I'm using Watcom v11.0c, should upgrade, one day.

Any hints/clues/pointers ?

Cheers
Ian Manners
Tech Fossil (Often  called a Dinosaur) - ancient animal that gets things done
http://www.os2site dot com/

I went window shopping...and bought OS/2!
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 25 Mar 2007 19:54:27 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  dir listing sort code

Ian Manners wrote:
> Hi All
>
> I've been busy modifying and adding to the os2site dot com code, and cant
> figure out how to create a directory listing sorted by date, it's probably
> easy once you know how, and googles not much help either.....
>
> I'm using Watcom v11.0c, should upgrade, one day.
>
> Any hints/clues/pointers ?
>
> Cheers
> Ian Manners
>   
Hi Ian,

Unfortunately, although one can sort by date using the following:

"dir f:\* /o:d /s >sorted-dirs-F-by-oldest-date" which has earliest 
dates first
or
"dir f:\* /o:-d /s >sorted-dirs-F-by-latest-date" with latest dates first

these work alright for single directories - but when recursively used 
each sub-directoryis treated separately! :-(

If you wanted to have a sorted directory of the entire site you'd then 
have to run the output through a GOOD editor, or a good sorting program!

OR - get yourself a copy of the shareware application CSSDIR from Curtis 
Software Systems, for which this would be a trivial task!

HTH

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 25 Mar 2007 20:11:30 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  dir listing sort code

Mike O'Connor wrote:
> Ian Manners wrote:
>> Hi All
>>
>> I've been busy modifying and adding to the os2site dot com code, and cant
>> figure out how to create a directory listing sorted by date, it's 
>> probably
>> easy once you know how, and googles not much help either.....
>>
>> I'm using Watcom v11.0c, should upgrade, one day.
>>
>> Any hints/clues/pointers ?
>>
>> Cheers
>> Ian Manners
>>   
> Hi Ian,
>
> Unfortunately, although one can sort by date using the following:
>
> "dir f:\* /o:d /s >sorted-dirs-F-by-oldest-date" which has earliest 
> dates first
> or
> "dir f:\* /o:-d /s >sorted-dirs-F-by-latest-date" with latest dates first
>
> these work alright for single directories - but when recursively used 
> each sub-directoryis treated separately! :-(
>
> If you wanted to have a sorted directory of the entire site you'd then 
> have to run the output through a GOOD editor, or a good sorting program!
>
> OR - get yourself a copy of the shareware application CSSDIR from 
> Curtis Software Systems, for which this would be a trivial task!
>
> HTH
>
> Regards,
> Mike
Hi again Ian,

I omitted to mention above that the sorted list output above using DIR, 
will intermingle directories and files, unless you use the additional 
switch "/O:G" to specify all directories first or "/O:-G" to have all 
directories following the files files. Combining the switches as e.g. 
"/O:DG" or "O:D-G" does not work as one would anticipate!!

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 25 Mar 2007 21:18:00 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  dir listing sort code

Hi Mike

Should have mentioned this is in C, dont want to make any calls
in the program to cmd commands such as dir, which keeps it fast,
also makes it non dependant on which dir command I'm using
due to switching in and out of different shells.

Filepage reindexs all of os2site dot com in about 60 seconds, it takes
that long already due to the restriction of reading from HD :-)

Currently the filepage code doesnt do any sorting for output
but I want to add that capability, which John and a few others
have mentioned would be nice, um, 6 years ago now John ?

I've spend a lot of time looking through the code in the past
few days, and I've added a lot, and removed a lot, as well
as made some drastic changes, the sortings the only bit thats
got me stumpted, though I could keep trying things I'm sure
I'll figure it out but while the irons hot, thought I'd seek
help to get it done and released.

Cheers
Ian Manners
Tech Fossil (Often  called a Dinosaur) - ancient animal that gets things done
http://www.os2site dot com/

(((((YOU)))))((((ARE))))(((((FEELING)))))((((SLEEPY))))
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 25 Mar 2007 21:57:35 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  dir listing sort code

Ian Manners wrote:
> Hi Mike
>
> Should have mentioned this is in C, dont want to make any calls
> in the program to cmd commands such as dir, which keeps it fast,
> also makes it non dependant on which dir command I'm using
> due to switching in and out of different shells.
>
> Filepage reindexs all of os2site dot com in about 60 seconds, it takes
> that long already due to the restriction of reading from HD :-)
>
> Currently the filepage code doesnt do any sorting for output
> but I want to add that capability, which John and a few others
> have mentioned would be nice, um, 6 years ago now John ?
>
> I've spend a lot of time looking through the code in the past
> few days, and I've added a lot, and removed a lot, as well
> as made some drastic changes, the sortings the only bit thats
> got me stumpted, though I could keep trying things I'm sure
> I'll figure it out but while the irons hot, thought I'd seek
> help to get it done and released.
>
> Cheers
> Ian Manners
>   
Hi Ian,

I thought it was funny that you'd forgotten those CLI-bits! :-)

Write it in Assembler to make it *really* fast - unlike C!
Of course it takes a lot longer to write! :-(

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sun, 25 Mar 2007 23:34:32 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  dir listing sort code

Hi Mike

>Write it in Assembler to make it *really* fast - unlike C!
>Of course it takes a lot longer to write! :-(

It's been about 15 years since I've done assembler, gee's
that long, how time flies......

ASM also means its not portable, hmm, not that anyones asked
me to compile it for anything else anyway ! That and the fact
I didnt write the original code, though at present I think it's
safe to say I've rewritten about 50% of the code :-), or is that :-(

Cheers
Ian Manners
Tech Fossil (Often  called a Dinosaur) - ancient animal that gets things done
http://www.os2site dot com/

The best way to accelerate Windows is at escape velocity.
----------------------------------------------------------------------------------